Loading...
Searching...
No Matches
openshot::CompareEffects Struct Reference

`#include <Timeline.h>`

## Public Member Functions

bool | operator() (openshot::EffectBase *lhs, openshot::EffectBase *rhs)

## Detailed Description

Comparison method for sorting effect pointers (by Position, Layer, and Order). Effects are sorted from lowest layer to top layer (since that is sequence clips are combined), and then by position, and then by effect order.

Definition at line 59 of file Timeline.h.

## Member Function Documentation

## operator()()

bool openshot::CompareEffects::operator() | ( | openshot::EffectBase * | lhs,
|  | openshot::EffectBase * | rhs
| ) |  |

inline

Definition at line 60 of file Timeline.h.

The documentation for this struct was generated from the following file:

- Timeline.h